<CsoundSynthesizer>
<CsOptions>
-m128
</CsOptions>
<CsInstruments>

sr = 44100
ksmps = 32
nchnls = 2
0dbfs = 1
seed 0

//introduce irregularity

instr Cloud
 ;set the initial density
 kDensity init 2
 ;note that the metro input is now k-rate
 kNextEvent metro kDensity
 ;for each new call of the instrument ...
 if kNextEvent == 1 then
  kPitch random 50, 70
  kVolume random -30, -5
  kDuration random 1/3, 3
  schedulek "PercSine", 0, kDuration, kVolume, kPitch
  ;... generate a new density between 1 and 3 events per second
  kDensity random 1, 3
 endif
endin

instr PercSine
 iDb = p4 
 iMidiPitch = p5 
 aEnv transeg ampdb(iDb), p3, -4, 0
 aSine poscil aEnv, mtof(iMidiPitch)
 out aSine, aSine
endin

</CsInstruments>
<CsScore>
i "Cloud" 0 100
</CsScore>
</CsoundSynthesizer>
<bsbPanel>
 <label>Widgets</label>
 <objectName/>
 <x>100</x>
 <y>100</y>
 <width>320</width>
 <height>240</height>
 <visible>true</visible>
 <uuid/>
 <bgcolor mode="nobackground">
  <r>255</r>
  <g>255</g>
  <b>255</b>
 </bgcolor>
</bsbPanel>
<bsbPresets>
</bsbPresets>
