<CsoundSynthesizer>
<CsOptions>
-m128
</CsOptions>
<CsInstruments>

sr = 44100
ksmps = 32
nchnls = 2
0dbfs = 1
seed 0

//go back and add random deviations to pitch in the model

instr PercSine
 iDb = -14 
 iMidiPitch = 70 
 aEnv transeg ampdb(iDb), p3, -4, 0
 ;generate a "trembling" pitch
 kPchRnd randi 1/6, 6, 2
 ;add it to the constant pitch
 aSine poscil aEnv, mtof(iMidiPitch+kPchRnd)
 out aSine, aSine
endin

</CsInstruments>
<CsScore>
i "PercSine" 0 5
</CsScore>
</CsoundSynthesizer>
<bsbPanel>
 <label>Widgets</label>
 <objectName/>
 <x>100</x>
 <y>100</y>
 <width>320</width>
 <height>240</height>
 <visible>true</visible>
 <uuid/>
 <bgcolor mode="nobackground">
  <r>255</r>
  <g>255</g>
  <b>255</b>
 </bgcolor>
</bsbPanel>
<bsbPresets>
</bsbPresets>
